#makefile to be included by every ros pkg's makefile so we can do global fiddling

#change the compiler cmake finds
OS = $(shell cat /etc/issue)
ifeq (Ubuntu 11.10,$(findstring Ubuntu 11.10,$(OS)))
	EXTRA_CMAKE_FLAGS = -DCMAKE_C_COMPILER=/usr/bin/gcc-4.6 -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.6
else ifeq (Ubuntu 12.04,$(findstring Ubuntu 12.04,$(OS)))
    EXTRA_CMAKE_FLAGS = -DCMAKE_C_COMPILER=/usr/bin/gcc-4.6 -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.6
else ifeq (Ubuntu 11.04,$(findstring Ubuntu 11.04,$(OS)))
	EXTRA_CMAKE_FLAGS = -DCMAKE_C_COMPILER=/usr/bin/gcc-4.5 -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.5
else
	EXTRA_CMAKE_FLAGS = -DCMAKE_C_COMPILER=/usr/bin/gcc-4.4 -DCMAKE_CXX_COMPILER=/usr/bin/g++-4.4
endif

include $(shell rospack find mk)/cmake.mk
